Add work orders to a production batch
curl --request POST \
--url https://{companyName}.api.joinluminous.com/external/api/v1/production-batches/{batchId}/work-orders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"work_order_ids": [
123
]
}
'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/production-batches/{batchId}/work-orders"
payload = { "work_order_ids": [123] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({work_order_ids: [123]})
};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/production-batches/{batchId}/work-orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"batch_number": "<string>",
"name": "<string>",
"status": "<string>",
"vendor_id": 123,
"vendor": {
"id": 123,
"name": "<string>"
},
"work_order_count": 123,
"work_orders": [
{
"id": 123,
"work_order_number": "<string>",
"status": "<string>",
"is_on_hold": true,
"produced_sku_id": 123,
"produced_sku": {
"id": 123,
"sku": "<string>",
"description": "<string>"
},
"planned_qty": 123,
"expected_completion_date": "2023-12-25",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"production_warehouse_id": 123,
"production_warehouse": {
"id": 123,
"name": "<string>"
},
"destination_warehouse_id": 123,
"destination_warehouse": {
"id": 123,
"name": "<string>"
},
"vendor_id": 123,
"vendor": {
"id": 123,
"name": "<string>"
},
"bom_id": 123,
"service_unit_price": 123,
"notes": "<string>",
"hold_reason": "<string>",
"cancel_reason": "<string>",
"held_at": "2023-11-07T05:31:56Z",
"created_by": 123,
"updated_by": 123,
"held_by": 123,
"production_batch_id": 123,
"steps": [
{
"id": 123,
"work_order_id": 123,
"sequence": 123,
"status": "<string>",
"output_sku_id": 123,
"output_sku": {
"id": 123,
"sku": "<string>",
"description": "<string>"
},
"planned_qty": 123,
"completed_qty": 123,
"is_outside_processing": true,
"supply_mode": "<string>",
"vendor_id": 123,
"skipped_at": "2023-11-07T05:31:56Z",
"skipped_by": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"custom_fields": {},
"alternate_ids": [
"<string>"
],
"links": {
"self": "<string>",
"steps": "<string>",
"completions": "<string>",
"production_entries": "<string>",
"status_history": "<string>"
}
}
],
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": 123,
"updated_by": 123,
"links": {
"self": "<string>",
"work_orders": "<string>",
"summary": "<string>",
"po_links": "<string>",
"ao_links": "<string>",
"status_history": "<string>"
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}Production Batches
Add work orders to a production batch
Link one or more work orders to a production batch.
POST
/
production-batches
/
{batchId}
/
work-orders
Add work orders to a production batch
Authorizations
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
Path Parameters
Body
application/json
Work order IDs to link to the batch.
Minimum array length:
1Response
Successful response
Show child attributes
Show child attributes
⌘I